Name:           libmatchbox
Summary:        Libraries for the Matchbox Desktop
Version:        1.9
Release:        24
Url:            https://www.yoctoproject.org/software-item/matchbox
License:        LGPLv2+
Source:         http://downloads.yoctoproject.org/releases/matchbox/libmatchbox/%{version}/%{name}-%{version}.tar.bz2
Patch0001:      libmatchbox-1.9-libpng.patch
BuildRequires:  pango-devel libpng-devel libjpeg-devel check-devel autoconf automake libtool
Buildroot:      %{_tmppath}/libmatchbox-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Matchbox is a base environment for the X Window System.It consists of a number of interchangeable
and optional applications that can be tailored to a specific non desktop platform to enhance usability
in a 'constrained' environment.

%package devel
Summary:        Static libraries and header files from libmatchbox
Provides:       matchbox-devel = %{version}-%{release} libmatchbox-devel = %{version}-%{release}
Provides:       liblibmatchbox-devel = %{version}-%{release} libmb-devel = %{version}-%{release}
Requires:       libmatchbox = %{version} pkgconfig

%description devel
Static libraries and header files from libmatchbox

%prep
%autosetup -n libmatchbox-%{version} -p1

%build
autoreconf -v --install
%configure --enable-png --enable-jpeg --enable-pango
%make_build

%install
%make_install DESTDIR=%{buildroot}
%delete_la_and_a

%post
/sbin/ldconfig
%postun
/sbin/ldconfig

%files
%doc AUTHORS ChangeLog README COPYING
%_libdir/*.so.*

%files devel
%{_libdir}/{pkgconfig/*.pc,*.so}
%dir %{_includedir}/libmb
%{_includedir}/libmb/*.h

%changelog
* Tue Apr 21 2020 wangyue<wangyue92@huawei.com> - 1.9-24
- Package init
